tttk_message_create(library call)

NAME
tttk_message_create — create a message conforming to the XCDE conventions

SYNOPSIS

#include &<Tt/tttk.h>
Tt_message tttk_message_create(
Tt_message context,
Tt_class the_class,
Tt_scope the_scope,
const char *handler,
const char *op,
Tt_message_callback callback);

DESCRIPTION

The tttk_message_create function creates a message that propagates inherited contexts from one message to another. The tttk_message_create function creates a message and copies onto it all the context slots from context whose slotname begins with the characters ENV_. It gives the created message a Tt_class of the_class and a Tt_scope of the_scope. If handler is not NULL, then tttk_message_create addresses the message as a TT_HANDLER to that procid; otherwise, it gives the message a Tt_address of TT_PROCEDURE. It sets the message's op to op if op is not NULL. If callback is not NULL, tttk_message_create adds it to the message as a message callback.

RETURN VALUE

Upon successful completion, the tttk_message_create function returns the created Tt_message, which can be modified, sent, and destroyed like any other Tt_message ; otherwise, it returns an error pointer. The application can use tt_ptr_error(3) to extract one of the following Tt_status values from the returned handle:

TT_ERR_NOMEM
    There is insufficient memory available to perform the function.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_PROCID
    The specified process identifier is out of date or invalid.

SEE ALSO

Tt/tttk.h - Tttttk(5), tt_message_create(3), tttk_message_create(3), ttdt_file_notice(3), ttdt_file_request(3).